# Latent Intuitive Physics
Code for our paper:
**Latent Intuitive Physics: Learning to Transfer Hidden Physics from a 3D Video**.

## Dependencies
1. Create an environment
    ```bash
    conda create -n fluid-env python=3.9
    conda activate fluid-env
    ```
2. Install Open3D.
    ```bash
    git clone https://github.com/isl-org/Open3D-ML.git
    cd Open3D-ML
    pip install open3d
    pip install -r requirements.txt
    pip install -r requirements-torch-cuda.txt
    ```
3. Install Pytorch3D
    ```bash
    conda install -c fvcore -c iopath -c conda-forge fvcore iopath
    conda install -c bottler nvidiacub
    git clone https://github.com/facebookresearch/pytorch3d.git
    cd pytorch3d && pip install -e .
    ```
4. install other dependencies
    ```bash
    pip install -r requirements.txt
    ```

## Fetch data
The complete datasets and pretrained models will be released upon acceptance.

## Run the training script
The training script of Stage B and Stage C are included in train.sh. The train and test result will be saved in the specified directory.
```bash
sh train.sh
```

## Acknowledgement
The implementation is based on the following repos:

https://github.com/syguan96/NeuroFluid

https://github.com/isl-org/DeepLagrangianFluids